2.1.0b4 and 2.0.3 have Mac OS X 10.6 installers

Jean-Francois Roy bahamut at macstorm.org
Wed Dec 16 07:33:41 GMT 2009

On Dec 15, 2009, at 21:33, Gordon Tyler wrote:

> Hash: SHA1
> Mac OS X 10.6 (Snow Leopard) installers for 2.1.0b4 and 2.0.3 have been
> uploaded to bzr's launchpad downloads pages:
> https://launchpad.net/bzr/2.1/2.1.0b4
> https://launchpad.net/bzr/2.0/2.0.3
> Similar updates to plugins as for the Windows installer have been made
> for 2.1.0b4 Mac installer. The 2.0.3 installer also now includes the
> qbzr and explorer plugins. As before, the installer does not include the
> Qt framework itself; that needs to be installed separately (see link on
> http://wiki.bazaar.canonical.com/MacOSXDownloads).
> For those who want to try building the installers for other versions of
> Mac OS X, you can get the build scripts from
> lp:~doxxx/+junk/SnowLeopard-package. Build process goes as follows:
> bzr 2.0.3:
> $ python fetch-externals.py -c config -p
> $ python build.py -d -c config --pmdoc Bazaar-2.0.pmdoc
> bzr 2.1.0b4:
> $ python fetch-externals.py -c config2_1 -p
> $ python build.py -d -c config2_1 --pmdoc Bazaar-2.1.pmdoc
> Jean-Francois Roy did try to build some OS version handling into the
> scripts but I have no idea whether it works since I've only ever used
> the scripts with Snow Leopard.
> Ciao,
> Gordon

Thank you, this is much appreciated. Glad to see our collective effort at building a streamlined process for building those installers is paying off.

More information about the bazaar mailing list